Get vendors
curl --request GET \
--url https://api.public.every.io/company/v1/vendors \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.public.every.io/company/v1/vendors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.public.every.io/company/v1/vendors"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"w9_complete": true,
"email": "<string>",
"created_at": "2023-12-25"
}
],
"metadata": {
"pagination": {
"total": 123,
"limit": 123,
"offset": 123
}
}
}{
"message": "<string>",
"errors": [
{}
]
}{
"message": "<string>",
"errors": [
{}
]
}{
"message": "<string>",
"errors": [
{}
]
}{
"message": "<string>",
"errors": [
{}
]
}{
"message": "<string>",
"errors": [
{}
]
}Vendors
Get vendors
GET
/
v1
/
vendors
Get vendors
curl --request GET \
--url https://api.public.every.io/company/v1/vendors \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.public.every.io/company/v1/vendors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.public.every.io/company/v1/vendors"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"w9_complete": true,
"email": "<string>",
"created_at": "2023-12-25"
}
],
"metadata": {
"pagination": {
"total": 123,
"limit": 123,
"offset": 123
}
}
}{
"message": "<string>",
"errors": [
{}
]
}{
"message": "<string>",
"errors": [
{}
]
}{
"message": "<string>",
"errors": [
{}
]
}{
"message": "<string>",
"errors": [
{}
]
}{
"message": "<string>",
"errors": [
{}
]
}Authorizations
Query Parameters
How many vendors to return, at most 1000
Required range:
1 <= x <= 1000How many vendors to skip
Required range:
x >= 0Was this page helpful?